## meegotouch-theme-meego 0.1.1-2

=== Makefile ===
#############################################################################
# Makefile for building: project
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Aug 21 08:30:24 2010
# Project:  project.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/share/qt4/bin/qmake -o Makefile project.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/share/qt4/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    = 


Makefile: project.pro  /opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /opt/qt4-maemo5/mkspecs/common/unix.conf \
		/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/opt/qt4-maemo5/mkspecs/features/release.prf \
		/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri \
		/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile project.pro
/opt/qt4-maemo5/mkspecs/common/unix.conf:
/opt/qt4-maemo5/mkspecs/common/linux.conf:
/opt/qt4-maemo5/mkspecs/qconfig.pri:
/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/opt/qt4-maemo5/mkspecs/features/release.prf:
/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/opt/qt4-maemo5/mkspecs/modules/qt_webkit_version.pri:
/opt/qt4-maemo5/mkspecs/features/qt.prf:
/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/opt/qt4-maemo5/mkspecs/features/moc.prf:
/opt/qt4-maemo5/mkspecs/features/resources.prf:
/opt/qt4-maemo5/mkspecs/features/uic.prf:
/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/opt/qt4-maemo5/mkspecs/features/lex.prf:
/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile project.pro

qmake_all: FORCE

make_default: FORCE
make_first: FORCE
all: FORCE
clean: FORCE
	-$(DEL_FILE) build-stamp
	-$(DEL_FILE) configure-stamp
distclean: FORCE
	-$(DEL_FILE) Makefile
	-$(DEL_FILE) build-stamp configure-stamp
install_subtargets: FORCE
uninstall_subtargets: FORCE

check:

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install_meego: FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/themes/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/themes/ 
	perl extract.pl meego/meegotouch/svg/ meego/meegotouch/ids.txt
	-$(INSTALL_DIR) /home/jakub/GIT/meegotouch-theme-meego/meego $(INSTALL_ROOT)/usr/share/themes/


uninstall_meego:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/themes/meego
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/themes/ 


install_meego_icon: FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/themes/base/meegotouch/icons/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/themes/base/meegotouch/icons/ 
	-$(INSTALL_FILE) /home/jakub/GIT/meegotouch-theme-meego/meego/meegotouch/icons/icon-l-theme-meego.svg $(INSTALL_ROOT)/usr/share/themes/base/meegotouch/icons/


uninstall_meego_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/themes/base/meegotouch/icons/icon-l-theme-meego.svg
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/themes/base/meegotouch/icons/ 


install: install_subtargets install_meego install_meego_icon  FORCE

uninstall: uninstall_meego uninstall_meego_icon  uninstall_subtargets FORCE

FORCE:

=== debian/changelog ===
meegotouch-theme-meego (0.1.1-2) unstable; urgency=low

  * Added build dependency on meegotouchtheme

 -- Jakub Pavelek <jpavelek@welho.com>  Sat, 21 Aug 2010 08:34:50 +0300

meegotouch-theme-meego (0.1.1-1) unstable; urgency=low

  * packaging for N900

 -- Jakub Pavelek <jpavelek@welho.com>  Fri, 20 Aug 2010 23:09:22 +0300

## meegotouch-theme-meego 0.1.1-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: project
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Aug 21 08:30:24 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Aug 21 08:35:21 2010
 # Project:  project.pro
 # Template: subdirs
 # Command: /opt/qt4-maemo5/share/qt4/bin/qmake -o Makefile project.pro

=== debian/changelog ===
meegotouch-theme-meego (0.1.1-3) unstable; urgency=low

  * Removing extra file

 -- Jakub Pavelek <jpavelek@welho.com>  Sat, 21 Aug 2010 08:43:43 +0300

## meegotouch-theme-meego 0.1.2-1

=== debian/changelog ===
meegotouch-theme-meego (0.1.2-1) unstable; urgency=low

  * New upstream 0.1.2

 -- Jakub Pavelek <jpavelek@welho.com>  Thu, 23 Sep 2010 21:51:18 +0300

=== debian/control ===
Source: meegotouch-theme-meego
Section: base
Priority: standard
Maintainer: Jakub Pavelek <jpavelek@welho.com>
Build-Depends: debhelper (>= 4.0.0), libqt4-experimental-dev, meegotouchtheme
Standards-Version: 4.0.0
                                                                                     
Package: meegotouch-theme-meego
Section: user/graphics
Architecture: all
Depends: meegotouchtheme
Description: The MeeGo Handset reference theme for MeeGo Touch
 This theme is for MeeGo Touch. It will not work as normal Hildon theme for N900, but only for MeeGo Touch apps running on N900.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAHowAAB6MBMC+yxQAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAhXSURBVGiB1ZpdbBxXFcd/987Mfnh3ba+9
 dpx1QlK7dpqEhpQGmpb0g1aVeEEqfSivqFIFKgUkilCfeEQ8I/GEkHiAFwpF
 qqAgQVtoWqpECaVBTRonOIkT26k/dtfb9e7O7t57eJj9sONdO9uSBP+l0c7O
 zD1zzp5zz/mfe1c9+/y3l/oGBzXbECvLy9btGxzUw5OTSeU4d1qfriDGwNRU
 1kUE0Qq0utM6dQURBSK4AhhrUWqbGWAtAgQesBa2oQGI4Da+yDYzAGsBghCy
 29ADrA0hawWwd1ql7mClHkIigQe2GxpzoBlC2w3NEGL7GgDgSj2Nyh3Wp1so
 a5FGGjXb1ACoh1DDC7cT13d+jlJqD5HsHMncZSKFpe4ESPCTuyKCMbe3kC2n
 JiiNTABQHtrL/NBenPwS/ZlpYpmZZnxvBiXSCqHbWYlLvSOs7jkcKOGXwC8i
 vYOY3hTLvSmW0/cSX5imd3kax1/tLKjhASTIQvY2GFALx1gaO9qs+qJdlHJA
 BOfCe5jJz0MoSmHXQQqj+0md+ROh0kpbWVoEBFxBQGxAT28hrHZZGHsQQpHW
 Rc9DvH6AQPm1UJqMjrPDZtvKEwSQRh0QbnUeWon0Q99wV2NkNb9pjdLQohK3
 OgfJ0jVsqYCOxm96jFMtYmUTA0TQDSpxq494SFP9y6+6MtqrlTeVKYArAtZY
 TFeiPxmGIorFmSnCn5lsXpNqBan62IqPE0ugvHDznq76GKfzeoMIuCCI2EZW
 uqVQShF+9/eU3vARU8XBopVCOQ7acSjGU8Seeh4AW1rFVZ0LbJBzmlRCMLfD
 AiDe30e8v/29UDhBrX5u8hmMDTJNW9RTsStSL2T/AwO0EuynSMdGuc1zKWQ3
 pTeiVCuEjLWf2APDsTxH01M8MHKedO8Kr108xMvnj30iWTU3RGN1yq7mMZtR
 CqVohlC3HkhFCzwweoGj6Q+ZSGXW3Xt6/3vM5/s4PnuwW/2xbrhpAMX8lh6A
 Rhayth5vnZGMrPLgrv9wdPQ89wwtbVgDmMvFGUqU8BzDc/e/xZV8iku5oe4M
 8FpVWpUKGNPZAKXXhJC17ftiR1meHD/Lg+kpDo4sblDaWMXxD3fz2IEZlNRJ
 pAMh1/Li0T/w0utfJ+9HNsjtiFC0dV4qbFqFLRqQgBN1KhRfHDnLc/e/w2d3
 blQewNHCYwdmANiZLBD2WtVkR6LM9468BmJuutgR7mmO1/7qls8HHlhjwI34
 aPnTlbfDuxYZS1xlKrerrpUTHLVK2+dVNNY694vYTdZrLYBW9UJmbdsJcyG3
 B792krDb3pW/fHOIByYL7B8ttb1/PesxsxxFVDBexu7DPfJkQNIy86j8EmQX
 kOxHKK1xB3YAYFbzKATZZF4KgNYBnbZimylLj9yF6h3Erq5gZi9wejrOQ5P5
 tkK8xCAvvHKMpJrl0fEZvnI4x8TOMgAVo3nxt/dTCPVBnZBV0biAivXixHqB
 fW3lmnxmy65MKxBUEEJND/QNETUGfeYdqocepmQtp64MdzTgmcNT/P3KJNfy
 +3htboJXzucZ8mZ5eOwa17K9ZN2J9YrUqpsq1TIgi14z7vGxi3x57CJvXNrH
 W9N7MKIDKiEOGsCYoC+u5PMoY1F+EefjLMaJcHp+tOOLPNfyw2NvMp5cxHMM
 /QNRTGKctxaPcdY/gjF23SG1WkdZa1H7ONMc46oqh5KzXJob4JtfOMnPn/4d
 wz15jGk09WvmgPILmN4DaEDnFrCRGHOZEc7nksQT7V8WTcFLXz2x4fr1XIQf
 vfoI1WqLTXp+mbGFy0RqPpFqmUilTKTq149y83NlYZZfW4NB8fieD/jz+3cz
 n43z6qm7eeboh/Spj1i0CQQJQsjY1hyoxfpw0uPIwA4W3v4rKn+dF04eI3ZP
 Gjce3qBoRyiQfSuYM+Xmpe9fPM6RK8c7DhHAN5aQVrxSi5H3XA4M5Djx77sA
 qBqHqq1xZiFNOGwbPTGItNLo9ZOvQ2KQ6vun0X6BmudQyZfJ/eYUO792H6Fk
 T0cFNijkrU/PA7YKeB2f/7hW48fnLrNYqXCuXONLB4q8fe5A834qUeL9qy5o
 J2gBWNtS1l8UxoeVOcIesHMUrCX1yCjq8e43Mm11vQHFLehKr+vyk3vv5lzR
 5wclh6eeOM3hvR/wx3+N84/zaR655zI/O7EPcS3WBntkGmhSibYH4C8Xu1Ye
 oHg1v07WqVL7AnYj3vNrhOIJfvHuBFNzhm898U9++o3XuZotYXS4Li/4MdSz
 3/luZjqTT1Y2yRA2XmLwoTTGtxi/ilktIxWLqViMX8NkC4jrIVWwvkGqgq0a
 Qm4fjtcKGVOpEM1ncAHJLBNJJHA9r/k92p9EHM3FWBI3EnComu8z7MxyKL3M
 364dhFAQwiHXZWygNxtQCWOxmzA/yYWYe/kySmm047B67TKR1A7Cff2gXLJn
 Z+ib2I/2vMClCgjVjV8jVzku5WSwtJLP5OiJJ3F7AvqQmZ0nuXc4aC/XjNOu
 xxJ7eWN+LzhA/bpV9UkM6ydxJ3g9LZ6iHResxUqwzaNdj8LMJWJ7xlB667lS
 zefws8tER3fXSZmAMcFS1U0uMous2R/oROZaD0uwemAMiCAoCjPTRGu7cSJR
 QoMpavkV/OwyTjgCSqNcF+15NwrC+CUqKytE07uxlQqmXKa8cB0RS7W4CsrB
 CYe23HRsGF7vyLZeXleuh3JcBIikdxHqT6I9D+WF0OEIbryvvtwXRBBKtZWp
 vTDhkTQN9USEcGoIJ7wbXA+lVOCRLTrEBtFrbnBs2n+2Q7QnoLTNF93wwi5a
 VNUTb8m6yXENfV0RwXMU1m6vP6x4TuApt1Iq2vHhVPsl4P9zVEpF+185zkK+
 hORr3QAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp:
	dh_testdir
	/opt/qt4-maemo5/share/qt4/bin/qmake
	$(MAKE)
	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	rm -rf debian/build
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	INSTALL_ROOT=$(CURDIR)/debian/tmp make install

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --sourcedir=debian/build -v
	dh_installman
	dh_link
	dh_strip
	dh_compress
#	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
